Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagetype_Ref_Type Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagetype_Ref_Type:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagetype_Ref_Type:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Abstract_Storagetype_Ref_Type (TAO_PSDL_Node *key_word, TAO_PSDL_Node *abs_storagetype_name)
| ****************************************************************
| TAO_PSDL_Abstract_Storagetype_Ref_Type (TAO_PSDL_Node *abs_storagetype_name)
virtual | ~TAO_PSDL_Abstract_Storagetype_Ref_Type (void)
TAO_PSDL_Node * | key_word (void) const
| Get the value.
TAO_PSDL_Node * | abs_storagetype_name (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | key_word_
| The values.
TAO_PSDL_Node * | abs_storagetype_name_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagetype_Ref_Type::TAO_PSDL_Abstract_Storagetype_Ref_Type | ( | TAO_PSDL_Node * | key_word,
|  | TAO_PSDL_Node * | abs_storagetype_name
| ) |

| ****************************************************************

TAO_PSDL_Abstract_Storagetype_Ref_Type::TAO_PSDL_Abstract_Storagetype_Ref_Type | ( | TAO_PSDL_Node * | abs_storagetype_name | ) |

TAO_PSDL_Abstract_Storagetype_Ref_Type::~TAO_PSDL_Abstract_Storagetype_Ref_Type | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Ref_Type::abs_storagetype_name | ( | void |  | ) | const

int TAO_PSDL_Abstract_Storagetype_Ref_Type::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Ref_Type::key_word | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Ref_Type::abs_storagetype_name_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Ref_Type::key_word_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp